Kerbal Space Program - Bug #13194

Incorrect variable values in CommLink instances
11/06/2016 07:35 AM - TaxiService
Severity: Normal % Done: 10%
Assignee: RoverDude

Category: Gameplay

Target version:

Version: 1.21 Language: English (US)
Platform: Windows Mod Related: No
Description

Stock KSP 1.2.1 64-bit & 32-bit, clean installed, resided outside Steam for mod development.
Mods: an optional demonstration DLL to read CommlLink values (attached Simple.cs)

What happened:
All of the CommLink instances in CommNetNetwork.Instance.CommNet.Links have two incorrect values of the signalStrength and
hopType variables. (attached incorrect_values.png)

Reproduction steps (in a debug mode):

1) Launch KSP and create a new save (preferably, Sandbox)

2) Build a direct antenna and some solar panels on a probe in VAB (attached craft.png)
3) Launch and inspect the particular variables mentioned

Expected results:
1) signalStrength variable is in [0.0, 1.0]
2) hopType variable is HopType.Home (the direct antenna to KSC)

Actual results:
1) signalStrength variable exceeds 1.0, almost matched to the cost variable
2) hopType variable is HopType.Relay (always HopType.Relay)

Extra details:
1) | can't reproduce this reliably but the cost variable of a CommLink instance is sometimes zero despite the visible distance is
non-trivial.

History

#1 - 11/07/2016 03:26 PM - sal_vager

- Status changed from New to Need More Info

Hello TaxiService, can you demonstrate any negative effect in-game from these variables?

#2 - 11/07/2016 03:35 PM - TaxiService

No, there are no negative visible effects from these variables in the stock playing.

Obviously, the negative effect of accessing these variables directly is the incorrect information requested for a CommNet-related add-on.
#3 - 11/11/2016 11:48 AM - sal_vager

- Status changed from Need More Info to Updated

- Assignee set to RoverDude

- % Done changed from 0 to 10

| see, thanks for the update, Roverdude is still responsible for commnet so I'll get him on this.
incorrect_values.png 155 KB
output_log.ixt 1.37 MB
Simple.cs 862 Bytes
craft.png 1.92 MB
